Summary:	KDE movie editor
Summary(pl.UTF-8):	Edytor filmów dla KDE
Name:		kdenlive
Version:	17.08.3
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	https://github.com/KDE/kdenlive/archive/v%{version}.tar.gz
# Source0-md5:	fec06528009c1fa64f9661f4b6694b33
URL:		http://kdenlive.org/
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Script-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5WebKit-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake
BuildRequires:	gettext-tools
BuildRequires:	kf5-attica-devel
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kbookmarks-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kfilemetadata-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-knotifyconfig-devel
BuildRequires:	kf5-kplotting-devel
BuildRequires:	kf5-ktextwidgets-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-sonnet-devel
BuildRequires:	libv4l-devel
BuildRequires:	mlt-devel >= 6.0.0
BuildRequires:	pkgconfig
BuildRequires:	qjson-devel >= 0.5
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Requires:	Qt5Gui-platform-xcb-egl
Requires:	Qt5Gui-platform-xcb-glx
Requires:	Qt5Quick-controls
Suggests:	dvdauthor
Suggests:	dvgrab
Suggests:	ffmpeg-ffplay
Suggests:	frei0r-plugins
Suggests:	mlt >= 6.0.0
Suggests:	recordmydesktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kdenlive is a non-linear video editor for KDE. It provides all project
management and editing tools while relying on a separate rendering
program (currently PIAVE) to perform the editing operations. Support
is planned for transitions, effects, multiple file formats, and full
project and asset management support. The current beta is capable of
editing raw DV or AVI DV files, with tools such as move, razor, and
resize, selecting parts of clips using in/outpoints, and exporting the
result to another raw DV file. You may playback/preview the contents
of the timeline at any point during the edit. Full project save/load
is supported.

%description -l pl.UTF-8
Kdenlive to nieliniowy edytor filmów dla KDE. Dostarcza narzędzia do
zarządzania projektem i edycji polegające na oddzielnym programie
renderującym (aktualnie PIAVE) do wykonywania operacji edycji.
Planowana jest obsługa przejść, efektów, wielu formatów plików oraz
pełnego zarządzania projektem i kapitałem. Aktualna wersja beta może
modyfikować pliki w formacie surowego DV oraz AVI DV przy użyciu
narzędzi takich jak przemieszczanie, cięcia, zmiana rozmiaru,
wybieranie części klatek przy użyciu punktów wejściowych/wyjściowych
oraz eksportowanie wyniku do innego pliku w formacie surowego DV.
Można odtwarzać/podglądać zawartość w dowolnej chwili edycji.
Obsługiwany jest zapis/odczyt pełnego projektu.

%prep
%setup -q

%build
mkdir build
cd build
%cmake .. \
	-DPLUGIN_INSTALL_DIR=%{_libdir}/qt5/plugins

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}*
%attr(755,root,root) %{_libdir}/qt5/plugins/mltpreview.so
%{_datadir}/metainfo/org.kde.kdenlive.appdata.xml
%{_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_datadir}/knotifications5/kdenlive.notifyrc
%{_datadir}/kservices5/mltpreview.desktop
%dir %{_datadir}/kxmlgui5/kdenlive
%{_datadir}/kxmlgui5/kdenlive/kdenliveui.rc
%{_datadir}/mime/packages/*.xml
%{_datadir}/%{name}
%{_desktopdir}/org.kde.kdenlive.desktop
%{_docdir}/HTML/en/kdenlive
/etc/xdg/%{name}*.knsrc
/etc/xdg/kdenlive.categories
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_iconsdir}/*/*/*/*.svgz
%{_mandir}/man1/kdenlive*
%changelog
* Mon Dec 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kdenlive.git;a=log;h=master

* Sun Dec 10 2017 Jacek Konieczny <jajcus@jajcus.net> 3544430
- appdata goes now to the metainfo directory

* Sun Dec 10 2017 Jacek Konieczny <jajcus@jajcus.net> fe0a30f
- up to  17.08.3

* Fri Oct 21 2016 Jan Rękorajski <baggins@pld-linux.org> ddd77d3
- fix plugin location
- rel 3

* Sun Oct 16 2016 Jan Rękorajski <baggins@pld-linux.org> 4da022c
- release 2 (by relup.sh)

* Fri Sep 09 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 32c15fd
- up to 16.08.1

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a5c239
- R: Qt5Gui-platform-xcb-egl, Qt5Gui-platform-xcb-glx

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1589c78
- R: Qt5Quick-controls (note this kdenlive version doesn't work under KDE4; needs KDE5 to be running

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> eaf118a
- up to 16.08.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 811735d
- updated gettext BR

* Wed Oct 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c3e7a9
- up to 0.9.10

* Tue Sep 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e433382
- up to 0.9.8

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f80aa74
- up to 0.9.6

* Mon Sep 26 2011 Jacek Konieczny <jajcus@pld-linux.org> aff1e4d
- Version: 0.8

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> e0b6d28
- improved structure - adapterized now
- dropped unused BR: automake, ffmpeg-devel, kde4-kdebase-devel

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> ad54048
- BR: automoc4, gettext-devel, pkgconfig, qt4-build, qt4-qmake
- NOTE: this file has broken structure and confuses adapter

* Fri Oct 15 2010 Mateusz Korniak <matkor@pld-linux.org> 0b02e5b
- Release 2. BR: cmake.

* Thu Oct 14 2010 Mateusz Korniak <matkor@pld-linux.org> 55e6016
- Version 0.7.8-1.

* Tue Jun 01 2010 Mariusz Mazur <mmazur@pld-linux.org> 9608cbd
- up to 0.7.7.1; rel 0.2
- some things are still not working, need to figure it out

* Sun Feb 17 2008 Mateusz Korniak <matkor@pld-linux.org> 04f60f9
- Release 2. BR fixed (at least working for me) mlt/mlt++  packages.

* Mon Feb 04 2008 Elan Ruusamäe <glen@pld-linux.org> 1ff705b
- rel 1

